List Period charges for a UserAsk AIget https://api.revenium.ai/profitstream/v2/api/users/{id}/period-chargesRetrieve a paginated list of period charges for a user.Path ParamsidstringrequiredUnique identifier of the user to retrieve period charges for. This is the Revenium-generated hashid returned when the user was created, visible in the user list endpoint, and used in all user-related API operations. Format: URL-safe encoded string.Query ParamsproductIdstringThe product idStart timestampstringrequiredEnd timestampstringrequiredpageinteger≥ 0Defaults to 0Zero-based page index (0..N)sizeinteger≥ 1Defaults to 10The size of the page to be returnedsortarray of stringsSorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.sortADD stringHeadersacceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/hal+jsonapplication/jsonAllowed:application/hal+jsonapplication/jsonResponses 200Returns a paginated list of Period Charge objects. 400Invalid request parameters 401Unauthorized - Authentication required 403Forbidden - user is not authorized to view the organization's users 404User or product not found 409Conflict - Resource conflict 422Unprocessable entity - Validation failed 500Internal server errorUpdated 6 months ago